D-Bus 1.13.18

Data Fields
DBusObjectSubtree Struct Reference
D-Bus secret internal implementation details » A hierarchy of objects with container-contained relationship

Struct representing a single registered subtree handler, or node that's a parent of a registered subtree handler. More...

## Data Fields
DBusAtomic | refcount
| Reference count.
DBusObjectSubtree * | parent
| Parent node.
DBusObjectPathUnregisterFunction | unregister_function
| Function to call on unregister.
DBusObjectPathMessageFunction | message_function
| Function to handle messages.
void * | user_data
| Data for functions.
DBusObjectSubtree ** | subtrees
| Child nodes.
int | n_subtrees
| Number of child nodes.
int | max_subtrees
| Number of allocated entries in subtrees.
unsigned int | invoke_as_fallback: 1
| Whether to invoke message_function when child nodes don't handle the message.
char | name [1]
| Allocated as large as necessary.

## Detailed Description

Struct representing a single registered subtree handler, or node that's a parent of a registered subtree handler.

If message_function != NULL there's actually a handler at this node.

Definition at line 71 of file dbus-object-tree.c.

The documentation for this struct was generated from the following file:

- dbus-object-tree.c